apiVersion: cert-manager.io/v1
kind: ClusterIssuer           
metadata:
  name: "cloudstack-dns01"
  namespace: "cert-manager"     
spec:
  acme:
    server: https://acme-v02.api.letsencrypt.org/directory
    email: "{{ issuer_mail }}"
    privateKeySecretRef:
      name: cloudstack-dns01
    solvers: 
    - dns01:
{% if cloudstack.plugins.letsencrypt.config.issuers.dns01.solver == "cloudflare" %}
        cloudflare:
          email: "{{ cloudstack.plugins.cloudflare.config.email }}"
          apiTokenSecretRef:
            name: cloudflare-api-key-secret
            key: api-key
{% endif %}
      selector:
        dnsZones:
        - '{{ cloudstack.plugins.letsencrypt.config.issuers.dns01.zone }}'